/* ReadPort.java */

import javax.comm.CommPortIdentifier;
import java.util.Enumeration;

/**
 * This class searches all the present serial and parallels
 * ports in the PC.
 *
 * @author  Riccardo Elio Maggiotti.
 * @version 0.0, 25-Oct-99.
 */
public class ReadPort {

    /** Port Identifier. */
    static CommPortIdentifier portId;

    /** Container of the present ports. */
    static Enumeration portList;


    public static void main(String[] args) {

      // demand present ports.
      portList = CommPortIdentifier.getPortIdentifiers();

      // this cycle allows to capture one to one the found ports.
      while (portList.hasMoreElements()) {

        // Port Identifier.
        portId = (CommPortIdentifier) portList.nextElement();

        // view the port.
        System.out.println("Porta--> " + portId.getName());
      }

    }

} // end of class











